<!-- {{iothub | json}} -->
<div class="table-responsive" *ngIf="iothub.length > 0;else no_data">
  <table class="table org-table" [mfData]="iothub" [mfRowsOnPage]="paginationOrgInfo.numberRowPerPage" #mf="mfDataTable" [(mfSortBy)]="paginationOrgInfo.iothubsortBy" [(mfSortOrder)]="paginationOrgInfo.iothubsortOrder">
    <thead>
      <tr>
        <th>
          <mfDefaultSorter by="IotHubName" class="sorter"> Iot Hub Name </mfDefaultSorter>
        </th>
        <th>
          <mfDefaultSorter by="DeviceCount" class="sorter"> Total Devices </mfDefaultSorter>
        </th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let asset of mf.data">
        <td>
          <!-- <input type="checkbox" name="" /> -->
          {{asset.IotHubName}}
        </td>
        <td>
          <a href="javascript:void(0)" (click)="showDevice(asset.IotHubName)">   {{asset.DeviceCount}}</a>
        </td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
        <td colspan="2"></td>
      </tr>
    </tfoot>
    <tr>
      <td colspan="2" class="text-right">
        <mfBootstrapPaginator [rowsOnPageSet]="[]"></mfBootstrapPaginator>
      </td>
    </tr>
  </table>
</div>
<ng-template #no_data>
  <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data">
    No Iot Hub exists
  </div>
</ng-template>
<div *ngIf="deviceView">
  <div class="table-responsive" *ngIf="device.length > 0;else no_data_device">
    <table class="table org-table" [mfData]="device" [mfRowsOnPage]="paginationDevInfo.numberRowPerPage" #mfDevice="mfDataTable" [(mfSortBy)]="paginationDevInfo.devicesortBy" [(mfSortOrder)]="paginationDevInfo.devicesortOrder">
      <thead>
        <tr>
          <th>
            <mfDefaultSorter by="gwSNO" class="sorter"> Device Id </mfDefaultSorter>
            <!-- <span class="glyphicon glyphicon-filter">&nbsp;</span> -->
          </th>
          <th>
            <mfDefaultSorter by="AssetId" class="sorter">Asset Id</mfDefaultSorter>
          </th>
          <th>
            <mfDefaultSorter by="AssetLastUpdateDate" class="sorter"> Provitioned Date </mfDefaultSorter>
          </th>
          <th>
            <mfDefaultSorter by="LatestSyncDate" class="sorter"> Last Active Time</mfDefaultSorter>
          </th>
          <th>WAN IP</th>
          <th>RSSI</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let device of mfDevice.data">
          <td>
            {{device.gwSNO}}
          </td>
          <td>
            {{device.AssetId}}
          </td>
          <td>{{device.AssetLastUpdateDate | date :'MM/dd/y HH:mm:ss'}}</td>
          <td>{{device.LatestSyncDate | date :'MM/dd/y HH:mm:ss'}}</td>
          <td>{{device.gwWANIP}}</td>
          <td>{{device.gwRSSI}}</td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
          <td colspan="6"></td>
          
        </tr>
      </tfoot>
      <tr>
        <td colspan="6" class="text-right">
          <mfBootstrapPaginator [rowsOnPageSet]="[]"></mfBootstrapPaginator>
        </td>
      </tr>
    </table>
  </div>
  <ng-template #no_data_device>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data">
      No device exists
    </div>
  </ng-template>
</div>
